> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Payin Quote

> Request a quote from a given provider for a payin. Returns the stablecoin amount to be delivered and the fees.



## OpenAPI

````yaml /openapi.yaml post /payins/quote
openapi: 3.1.0
info:
  version: 2.0.15
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /payins/quote:
    post:
      tags:
        - Payins
      summary: Request Payin Quote
      description: >-
        Request a quote from a given provider for a payin. Returns the
        stablecoin amount to be delivered and the fees.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  properties:
                    walletId:
                      type: string
                      minLength: 1
                      maxLength: 64
                      pattern: ^wa-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                      description: >-
                        The destination wallet — determines the network the
                        funds are delivered on.
                      example: wa-5pfuu-9euek-h0odgb6snva8ph3k
                    amount:
                      type: string
                      pattern: ^[0-9]+(\.[0-9]{1,2})?$
                      description: >-
                        The amount to deliver on-chain, in currency units (e.g.
                        "100.00").
                    currency:
                      type: string
                      enum:
                        - USD
                        - EUR
                      description: >-
                        Fiat currency of the payin (for Circle Mint it
                        determines the delivered stablecoin: USD → USDC, EUR →
                        EURC).
                    provider:
                      type: string
                      enum:
                        - Borderless
                    country:
                      type: string
                      pattern: ^[A-Z]{2}$
                      description: >-
                        ISO-3166 Alpha-2 country the fiat deposit originates
                        from.
                    borderlessAccountId:
                      type: string
                      description: Borderless account ID the deposit would be made to.
                    paymentMethod:
                      type: string
                      enum:
                        - Wire
                        - ACH
                        - Sepa
                      description: >-
                        The fiat payment rail the payer uses to fund the
                        deposit.
                    asset:
                      oneOf:
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Erc20
                            contract:
                              type: string
                              description: >-
                                The ERC-20 contract address of the asset to
                                deliver.
                          required:
                            - kind
                            - contract
                          title: ERC-20 Asset
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Spl
                                - Spl2022
                            mint:
                              type: string
                              description: The token mint address of the asset to deliver.
                          required:
                            - kind
                            - mint
                          title: SPL/SPL-2022 Asset
                      description: >-
                        The asset to deliver on-chain. Must be supported by
                        Borderless on the wallet network.
                  required:
                    - walletId
                    - amount
                    - currency
                    - provider
                    - country
                    - borderlessAccountId
                    - paymentMethod
                    - asset
                  title: Borderless Create Payin Quote
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  provider:
                    type: string
                    enum:
                      - CircleMint
                      - Borderless
                    description: Payin provider.
                  currency:
                    type: string
                    enum:
                      - USD
                      - EUR
                    description: >-
                      Fiat currency of the payin (for Circle Mint it determines
                      the delivered stablecoin: USD → USDC, EUR → EURC).
                  network:
                    allOf:
                      - $ref: '#/components/schemas/Network'
                      - description: The network the stablecoin would be delivered on.
                  tid:
                    type: string
                    description: The asset (token id) that would be delivered.
                  timestamp:
                    type: string
                    format: date-time
                    description: ISO 8601 timestamp when the quote was generated.
                  quotes:
                    type: array
                    items:
                      type: object
                      properties:
                        quoteId:
                          type: string
                          description: >-
                            Executable quote id — pass it to Create Payin to
                            lock this rate until it expires.
                        dateExpires:
                          type: string
                          format: date-time
                          description: >-
                            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
                            date (must be UTC). ISO 8601 timestamp when the
                            executable quote expires.
                          example: '2023-04-14T20:41:28.715Z'
                        offer:
                          type: object
                          properties:
                            amount:
                              type: number
                              description: >-
                                Amount of the stablecoin to be delivered
                                on-chain, net of fees.
                            fees:
                              type: number
                              description: Total fees, in the fiat currency.
                          required:
                            - amount
                            - fees
                          description: The offer from the provider.
                      required:
                        - offer
                    description: Array of quotes from the provider(s).
                required:
                  - provider
                  - currency
                  - network
                  - tid
                  - timestamp
                  - quotes
      security:
        - authenticationToken: []
components:
  schemas:
    Network:
      type: string
      title: Network
      enum:
        - Algorand
        - AlgorandTestnet
        - Aptos
        - AptosTestnet
        - ArbitrumOne
        - ArbitrumSepolia
        - ArcTestnet
        - AvalancheC
        - AvalancheCFuji
        - BabylonGenesis
        - BabylonTestnet5
        - Base
        - BaseSepolia
        - Berachain
        - BerachainBepolia
        - Bitcoin
        - BitcoinSignet
        - BitcoinTestnet4
        - BitcoinCash
        - Bob
        - BobSepolia
        - Bsc
        - BscTestnet
        - Canton
        - CantonTestnet
        - Cardano
        - CardanoPreprod
        - Concordium
        - ConcordiumTestnet
        - Celo
        - CeloAlfajores
        - Codex
        - CodexSepolia
        - CosmosHub4
        - CosmosIcsTestnet
        - Dogecoin
        - DogecoinTestnet
        - Ethereum
        - EthereumClassic
        - EthereumClassicMordor
        - EthereumSepolia
        - EthereumHoodi
        - FlareC
        - FlareCCoston2
        - FlowEvm
        - FlowEvmTestnet
        - Hedera
        - HederaTestnet
        - Ink
        - InkSepolia
        - InternetComputer
        - Ion
        - IonTestnet
        - Iota
        - IotaTestnet
        - Kusama
        - KusamaAssetHub
        - Litecoin
        - LitecoinTestnet
        - Movement
        - MovementTestnet
        - Near
        - NearTestnet
        - Optimism
        - OptimismSepolia
        - Origyn
        - Plasma
        - PlasmaTestnet
        - Plume
        - PlumeSepolia
        - Paseo
        - PaseoAssetHub
        - Polkadot
        - PolkadotAssetHub
        - Polygon
        - PolygonAmoy
        - Polymesh
        - PolymeshTestnet
        - Race
        - RaceSepolia
        - Rayls
        - RaylsTestnet
        - Robinhood
        - RobinhoodSepolia
        - SeiAtlantic2
        - SeiPacific1
        - Solana
        - SolanaDevnet
        - Sonic
        - SonicTestnet
        - Starknet
        - StarknetSepolia
        - Stellar
        - StellarTestnet
        - Sui
        - SuiTestnet
        - Tezos
        - TezosGhostnet
        - TezosShadownet
        - Tempo
        - TempoModerato
        - Tsc
        - TscTestnet1
        - Ton
        - TonTestnet
        - Tron
        - TronNile
        - Westend
        - WestendAssetHub
        - Xdc
        - XdcApothem
        - XLayer
        - XLayerSepolia
        - XrpLedger
        - XrpLedgerTestnet
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````